/**
 * EntityClassOrganization2.java
 *
 * File generated from the medication2::EntityClassOrganization2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityClassOrganization2.
 *
 * 
 */

@XmlType(name = "EntityClassOrganization")
@XmlEnum
@XmlRootElement(name = "EntityClassOrganization2")
public enum EntityClassOrganization2 {
	@XmlEnumValue("ORG")
	ORG("ORG"),
	@XmlEnumValue("PUB")
	PUB("PUB"),
	@XmlEnumValue("STATE")
	STATE("STATE"),
	@XmlEnumValue("NAT")
	NAT("NAT");
	
	private final String value;

    EntityClassOrganization2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static EntityClassOrganization2 fromValue(String v) {
        for (EntityClassOrganization2 c: EntityClassOrganization2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
